
#language: ru

@MovingProducts

Функционал: 016. MovingProducts. Установка дат запрета изменения данных(по объектам)

Сценарий: 016.1. MovingProducts. Установка дат запрета изменения данных(по объектам)

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.016. Перемещение товаров"
	И В командном интерфейсе я выбираю 'Администрирование' 'Настройки пользователей и прав'
	Тогда открылось окно 'Настройки пользователей и прав'
	И я разворачиваю группу "Даты запрета изменения"
	И я нажимаю на кнопку 'Настроить'
	Тогда открылось окно 'Даты запрета изменения данных'
	И я нажимаю кнопку очистить у поля с именем "ДатаЗапретаПростойРежим"
	И из выпадающего списка с именем "СпособУказанияДатыЗапрета" я выбираю точное значение 'По разделам и объектам'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'                   |
		| 'Общая дата для всех разделов' | 'Обработка заказов на перемещение' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| 'Колонка1'    |
		| 'Организация' |
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Организации'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Организация2' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Организации'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                              | 'Раздел, объект' |
		| 'Общая дата для раздела "Обработка заказов на перемещение"' | 'Организация2'   |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '09.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                 | 'Раздел, объект'                   |
		| 'Общая дата для всех разделов' | 'Обработка заказов на перемещение' |
	И в таблице "ДатыЗапрета" я нажимаю на кнопку с именем 'ДатыЗапретаПодобрать'
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| 'Колонка1' |
		| 'Склад'    |
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'            |
		| 'Склад готовой продукции' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	И Я закрываю окно 'Склады'
	Тогда открылось окно 'Даты запрета изменения данных'
	И в таблице "ДатыЗапрета" я перехожу к строке:
		| 'Дата запрета'                                              | 'Раздел, объект'          |
		| 'Общая дата для раздела "Обработка заказов на перемещение"' | 'Склад готовой продукции' |
	И в таблице "ДатыЗапрета" в поле 'Действует по' я ввожу текст '07.12.2018'
	И в таблице "ДатыЗапрета" я завершаю редактирование строки
	Тогда таблица "ДатыЗапрета" стала равной:
		| 'Раздел, объект'                   | 'Дата запрета'                 | 'Действует по' |
		| '<Общая дата для всех разделов>'   | 'Не установлена'               | ''             |
		| 'Внутригрупповые обороты'          | 'Общая дата для всех разделов' | ''             |
		| 'Возвраты товаров от клиентов'     | 'Общая дата для всех разделов' | ''             |
		| 'Обработка заказов клиентов'       | 'Общая дата для всех разделов' | ''             |
		| 'Обработка заказов на перемещение' | 'Общая дата для всех разделов' | ''             |
		| 'Организация2'                     | 'Произвольная дата'            | '09.12.2018'   |
		| 'Склад готовой продукции'          | 'Произвольная дата'            | '07.12.2018'   |
		| 'Обработка персональных данных'    | 'Общая дата для всех разделов' | ''             |
		| 'Финансовый результат'             | 'Общая дата для всех разделов' | ''             |
	И Я закрываю окно 'Даты запрета изменения данных'
	Тогда открылось окно 'Настройки пользователей и прав'
	И Я закрываю окно 'Настройки пользователей и прав'

Сценарий: 016.2. MovingProducts. Проверка даты запрета в Обработке заказов на перемещение - заказ на перемещение - по Организации

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '08.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И в поле 'Отгрузка' я ввожу текст '08.12.2018'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И я нажимаю на кнопку с именем "ТоварыДобавить"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И Я закрываю окно 'Заказ на перемещение (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 016.3. MovingProducts. Проверка даты запрета в Обработке заказов на перемещение - заказ на перемещение - по Складу

	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Заказ на перемещение (создание)'
	И в поле с именем 'Дата' я ввожу текст '06.12.2018  0:00:00'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И в поле 'Отгрузка' я ввожу текст '08.12.2018'
	И из выпадающего списка с именем "СкладОтправитель" я выбираю по строке 'Сырная ГП'
	И из выпадающего списка с именем "СкладПолучатель" я выбираю по строке 'Склад готовой продукции'
	И я перехожу к закладке "Товары"
	И я нажимаю на кнопку с именем "ТоварыДобавить"
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Адыгейский'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке 'Ашан'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'OK'
	Тогда открылось окно 'Заказ на перемещение (создание) *'
	И Я закрываю окно 'Заказ на перемещение (создание) *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 016.4. MovingProducts. Завершение

	И Я закрыл все окна клиентского приложения